Package Halberd :: Module shell :: Class MultiScanStrategy

[show private | hide private]
[frames | no frames]

## Class MultiScanStrategy

    BaseStrategy --+
                   |
                  MultiScanStrategy

Scan multiple URLs.

Method Summary
| `__init__(self, scantask)`
| ``execute`(self)` Launch a multiple URL scan.
| ``_targets`(self, urlfp)` Obtain target addresses from URLs.
Inherited from BaseStrategy
| ``_analyze`(self)` Performs clue analysis.
| ``_scan`(self)` Allocates a work crew of scanners and launches them on the target.

Method Details

### execute(self)

Launch a multiple URL scan.

  Overrides:
    `Halberd.shell.BaseStrategy.execute`

### _targets(self, urlfp)

Obtain target addresses from URLs.

  Parameters:
    `urlfp` - File where the list of URLs is stored.
    (type=`file`)
  Returns:
    Generator providing the desired addresses.

Generated by Epydoc 2.1 on Wed Jul 18 22:25:57 2007 | http://epydoc.sf.net